<xsl:stylesheet version="1.0"
      xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" encoding="UTF-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>

  <xsl:template match="/doc">
   <html>
    <head>
      <xsl:if test="not(./pageinfo/description='')"> 
	<meta name="description" content="{./pageinfo/description}"/>
      </xsl:if>
      <xsl:if test="./pageinfo/description=''"> 
	<meta name="description" content="Valokuvia: {./pageinfo/title}"/>
      </xsl:if>
      <meta name="keywords" content="kuva, kuvia, album, photos, photo, {./pageinfo/keywords}"/>
      <title><xsl:value-of select="./pageinfo/title"/></title>
    </head>
      <FRAMESET COLS="25%,75%">
      <FRAME Name="Thumbs" src="{./pageinfo/album-name}-thumbs.html"></FRAME>
      <xsl:if test="not(./pageinfo/cover-photo-name='')"> 
        <FRAME Name="ImageWindow" src="pictures/{./pageinfo/cover-photo-name}"></FRAME>
      </xsl:if>
      <xsl:if test="./pageinfo/cover-photo-name=''"> 
        <xsl:for-each select="./img[position()='1']">
        <FRAME Name="ImageWindow" src="pictures/{./@src}"></FRAME>
        </xsl:for-each>
      </xsl:if>
      </FRAMESET>
   </html>
  </xsl:template>

</xsl:stylesheet>
